Subject: Re: Some comment about Cygwin1.1.4
From: Bob McGowan <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Mon, 07 Aug 2000 15:14:29 -0700

DJ Delorie wrote:
> 
> > By default, it should not be exported, but a user could export it
> > themselves.
> 
> Stupid Linux.  sh -> bash.  OK, if I run *ash* you're right.

Yes, this has caught me a number of times, too.

> I'm thinking, though, that this won't help anything.  If the user just
> types "sh" at a bash prompt, there aren't any files sourced by sh
> where we'd get a chance to fix the prompts.

True, if that is what was wanted.  I was thinking only in terms of a
"login" shell.

And, on all UNIX/Linux systems I've used, if the user starts a subshell
that uses common env variables but does not understand advanced features
available in the parent, the result is displayed wihtout interpretation,
so this is working "as expected".

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]